<?php

namespace Drupal\proc;

/**
 * Service that represents a key manager for a user or group of users.
 *
 * This provides an internalized way of checking user keyring information.
 */
interface ProcKeyManagerInterface {

  /**
   * Checks or a user has a valid/active keyring.
   *
   * @param int $userId
   *   The user id to check.
   *
   * @return bool
   *   Flag indicating the user has a keyring.
   */
  public function hasKeyring(int $userId): bool;

}
